org.eclipse.aether.transfer

## Class MetadataTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.MetadataTransferException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MetadataNotFoundException

      public class MetadataTransferException
      extends RepositoryException

  Thrown when metadata could not be uploaded/downloaded to/from a particular remote repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, String message)`
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, String message, Throwable cause)`
    `MetadataTransferException(Metadata metadata, RemoteRepository repository, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Metadata` | `getMetadata()`
    `RemoteRepository` | `getRepository()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message)

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   Throwable cause)

    - #### MetadataTransferException

          public MetadataTransferException(Metadata metadata,
                                   RemoteRepository repository,
                                   String message,
                                   Throwable cause)

  - ### Method Detail

    - #### getMetadata

          public Metadata getMetadata()

    - #### getRepository

          public RemoteRepository getRepository()

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.